//----------------------------------------------------------------------------
// Program.cs
//
// This is a part of the C1ReportDesigner package.
// Copyright (C) GrapeCity, Inc
// All rights reserved.
//
// This source code is intended as a supplement to the
// C1ReportDesigner control and related documentation 
// provided with the product.
// See these sources for detailed information regarding the
// C1ReportDesigner product.
//----------------------------------------------------------------------------
using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace ReportDesignerApp
{
    static class Program
    {
        // exit codes:
        public enum ExitCodes
        {
            FatalError = 108,
            UserAbort = 109,
        }

        public static void Exit(ExitCodes exitCode)
        {
            Environment.Exit((int)exitCode);
        }

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            MainForm.ShowSpash();
            Application.Run(new MainForm());
        }
    }
}
